Loading...
Searching...
No Matches
odf.teletype.WhitespaceText Class Reference

## Public Member Functions

| __init__ (self)
| addTextToElement (self, odfElement, s)
| Process an input string, inserting <text:tab> elements for '\t', <text:line-break> elements for ' ', and <text:s> elements for runs of more than one blank.

## Public Attributes

| textBuffer
| spaceCount

## Protected Member Functions

| _emitTextBuffer (self, odfElement)
| Creates a Text Node whose contents are the current textBuffer.
| _emitSpaces (self, odfElement)
| Creates a <text:s> element for the current spaceCount.

## Detailed Description

Definition at line 34 of file teletype.py.

## Constructor & Destructor Documentation

## __init__()

odf.teletype.WhitespaceText.__init__ | ( |  | self | ) |

Definition at line 36 of file teletype.py.

## Member Function Documentation

## _emitSpaces()

odf.teletype.WhitespaceText._emitSpaces | ( |  | self,
|  |  | odfElement
| ) |  |

protected

Creates a <text:s> element for the current spaceCount.

Side sets spaceCount back to zero

Definition at line 101 of file teletype.py.

Here is the caller graph for this function:

## _emitTextBuffer()

odf.teletype.WhitespaceText._emitTextBuffer | ( |  | self,
|  |  | odfElement
| ) |  |

protected

Creates a Text Node whose contents are the current textBuffer.

Side clears the text buffer.

Definition at line 90 of file teletype.py.

Here is the caller graph for this function:

## addTextToElement()

odf.teletype.WhitespaceText.addTextToElement | ( |  | self,
|  |  | odfElement,
|  |  | s
| ) |  |

Process an input string, inserting <text:tab> elements for '\t', <text:line-break> elements for '
', and <text:s> elements for runs of more than one blank.

These will be added to the given element.

Definition at line 46 of file teletype.py.

Here is the call graph for this function:

## Member Data Documentation

## spaceCount

odf.teletype.WhitespaceText.spaceCount

Definition at line 38 of file teletype.py.

## textBuffer

odf.teletype.WhitespaceText.textBuffer

Definition at line 37 of file teletype.py.

The documentation for this class was generated from the following file:

- odf/teletype.py